Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Enum BotDialogElementType

java.lang.Object
java.lang.Enum<BotDialogElementType>
ru.bitel.bgbilling.modules.botmanager.common.bean.BotDialogElementType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<BotDialogElementType>`, `java.lang.constant.Constable`, `GuiTitlable`

    public enum BotDialogElementType
    extends java.lang.Enum<BotDialogElementType>
    implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ATTACHMENT` |
  `BUTTON` |
  `LINK` |
  `TEXT` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static BotDialogElementType` | `getElementType​(int code)` |
  `static BotDialogElementType` | `getElementType​(java.lang.String title)` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `java.lang.String` | `getType()` |
  `static BotDialogElementType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static BotDialogElementType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BUTTON

    public static final BotDialogElementType BUTTON

  - ### TEXT

    public static final BotDialogElementType TEXT

  - ### ATTACHMENT

    public static final BotDialogElementType ATTACHMENT

  - ### LINK

    public static final BotDialogElementType LINK

- ## Method Details

  - ### values

    public static BotDialogElementType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BotDialogElementType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getElementType

    public static BotDialogElementType getElementType​(int code)

  - ### getElementType

    public static BotDialogElementType getElementType​(java.lang.String title)

  - ### getType

    public java.lang.String getType()

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.